Home

# Class goog.ui.style.app.PrimaryActionButtonRenderer

Custom renderer for {@link goog.ui.Button}s. This renderer supports the "primary action" style for buttons.

extends goog.ui.style.app.ButtonRenderer

Instance Method Summary
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of components rendered using this renderer.
| `getIe6ClassCombinations() ⇒ ?Array.<(Array.<string>|null)>` Returns an array of combinations of classes to apply combined class names for in IE6 and below. See {@link IE6_CLASS_COMBINATIONS} for more detail. This method doesn't reference {@link IE6_CLASS_COMBINATIONS} so that it can be compiled out, but subclasses should return their IE6_CLASS_COMBINATIONS static constant instead.